Translation

Generate and return a CSV file with translation data.

Download translation data as a CSV file.

POST
/api/v2/translations/csv-download

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

text/csv

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/translations/csv-download" \  -H "Content-Type: application/json" \  -d '{    "projectId": 6,    "languageId": 2,    "storyId": 3,    "data": [      15257,      15258    ]  }'
"string"
{  "data": "Data should be an array"}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}